name: BlockTestObjCLibrary
description: 'Tests calling Objective-C blocks.'
language: objc
output:
  bindings: 'block_bindings.dart'
  objc-bindings: 'block_bindings.m'
exclude-all-by-default: true
objc-interfaces:
  include:
    - BlockTester
typedefs:
  include:
    - IntBlock
    - FloatBlock
    - DoubleBlock
    - Vec4Block
    - VoidBlock
    - ObjectBlock
    - NullableObjectBlock
    - BlockBlock
    - ListenerBlock
    - ObjectListenerBlock
    - NullableListenerBlock
    - StructListenerBlock
    - NSStringListenerBlock
    - NoTrampolineListenerBlock
functions:
  include:
    - objc_autoreleasePoolPop
    - objc_autoreleasePoolPush
headers:
  entry-points:
    - 'block_test.h'
preamble: |
  // ignore_for_file: camel_case_types, non_constant_identifier_names, unnecessary_non_null_assertion, unused_element, unused_field
